VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::adapter::Scsi Interface Reference

The `Scsi` interface provides methods for configuring the virtual SCSI adapters of a virtual machine. More...

Inherited by vmware::vcenter::vm::hardware::adapter::ScsiStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.
vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info | Get (string vm, string adapter)
| Returns information about a virtual SCSI adapter.
vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info | Get (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual SCSI adapter.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info > | GetAsync (string vm, string adapter)
| Returns information about a virtual SCSI adapter.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info > | GetAsync (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual SCSI adapter.
string | Create (string vm, vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec spec)
| Adds a virtual SCSI adapter to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual SCSI adapter to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec spec)
| Adds a virtual SCSI adapter to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual SCSI adapter to the virtual machine.
void | Update (string vm, string adapter, vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec spec)
| Updates the configuration of a virtual SCSI adapter.
void | Update (string vm, string adapter, vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual SCSI adapter.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string adapter, vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec spec)
| Updates the configuration of a virtual SCSI adapter.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string adapter, vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual SCSI adapter.
void | Delete (string vm, string adapter)
| Removes a virtual SCSI adapter from the virtual machine.
void | Delete (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual SCSI adapter from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string adapter)
| Removes a virtual SCSI adapter from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual SCSI adapter from the virtual machine.

## Detailed Description

The `Scsi` interface provides methods for configuring the virtual SCSI adapters of a virtual machine.

## Member Function Documentation

string vmware::vcenter::vm::hardware::adapter::Scsi::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec | spec
| ) |  |

Adds a virtual SCSI adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the SCSI adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SCSI buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SCSI bus is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SCSI adapter.

Returns:
  Virtual SCSI adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

string vmware::vcenter::vm::hardware::adapter::Scsi::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual SCSI adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the SCSI adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SCSI buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SCSI bus is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SCSI adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual SCSI adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::adapter::Scsi::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec | spec
| ) |  |

Adds a virtual SCSI adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the SCSI adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SCSI buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SCSI bus is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SCSI adapter.

Returns:
  Virtual SCSI adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::adapter::Scsi::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual SCSI adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the SCSI adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SCSI buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SCSI bus is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SCSI adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual SCSI adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

void vmware::vcenter::vm::hardware::adapter::Scsi::Delete | ( | string | vm,
|  | string | adapter
| ) |  |

Removes a virtual SCSI adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

void vmware::vcenter::vm::hardware::adapter::Scsi::Delete | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual SCSI adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::adapter::Scsi::DeleteAsync | ( | string | vm,
|  | string | adapter
| ) |  |

Removes a virtual SCSI adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::adapter::Scsi::DeleteAsync | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual SCSI adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info vmware::vcenter::vm::hardware::adapter::Scsi::Get | ( | string | vm,
|  | string | adapter
| ) |  |

Returns information about a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Returns:
  Information about the specified virtual SCSI adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info vmware::vcenter::vm::hardware::adapter::Scsi::Get | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual SCSI adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info> vmware::vcenter::vm::hardware::adapter::Scsi::GetAsync | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual SCSI adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info> vmware::vcenter::vm::hardware::adapter::Scsi::GetAsync | ( | string | vm,
|  | string | adapter
| ) |  |

Returns information about a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

Returns:
  Information about the specified virtual SCSI adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary> vmware::vcenter::vm::hardware::adapter::Scsi::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual SCSI adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary> vmware::vcenter::vm::hardware::adapter::Scsi::List | ( | string | vm | ) |

Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual SCSI adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary> > vmware::vcenter::vm::hardware::adapter::Scsi::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual SCSI adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.ScsiTypes.Summary> > vmware::vcenter::vm::hardware::adapter::Scsi::ListAsync | ( | string | vm | ) |

Returns commonly used information about the virtual SCSI adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual SCSI adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

void vmware::vcenter::vm::hardware::adapter::Scsi::Update | ( | string | vm,
|  | string | adapter,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration of a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual SCSI adapter.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  spec | Specification for updating the virtual SCSI adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

void vmware::vcenter::vm::hardware::adapter::Scsi::Update | ( | string | vm,
|  | string | adapter,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec | spec
| ) |  |

Updates the configuration of a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual SCSI adapter.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  spec | Specification for updating the virtual SCSI adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::adapter::Scsi::UpdateAsync | ( | string | vm,
|  | string | adapter,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec | spec
| ) |  |

Updates the configuration of a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual SCSI adapter.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  spec | Specification for updating the virtual SCSI adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::adapter::Scsi::UpdateAsync | ( | string | vm,
|  | string | adapter,
|  | vmware.vcenter.vm.hardware.adapter.ScsiTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration of a virtual SCSI adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SCSI adapter is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual SCSI adapter.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SCSI adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .
  spec | Specification for updating the virtual SCSI adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::adapter::ScsiStub.

The documentation for this interface was generated from the following file:

- Scsi.cs